The Tolaria team welcomes contributions. While contributing, you must adhere to the project [code of conduct](#the-code-of-conduct), so that everyone feels welcome.

Here’s how you can make Tolaria better:

  - Use prerelease versions (`gem install tolaria --pre`)
  - [Report an issue](https://github.com/threespot/tolaria/issues/new) or ask questions
  - [Suggest new features](https://github.com/threespot/tolaria/issues/new)
  - Check, vet, diagnose, or add details to existing issues.
  - Contributing or improving documentation. We’re sure there are still typos or unclear instructions. These are easy wins.
  - Contributing pull requests or bugfixes.

**Please note:** Tolaria is not necessarily the team’s full-time gig. Please be patient with us getting back to you.

Thanks for helping us make Tolaria better!

### The Code of Conduct

Tolaria strongly values contributors from anywhere, regardless of gender, gender expression, sexual orientation, ability, physical appearance, body type, race, age, or religion. As a result, the team has agreed to and enforces this code of conduct in order to provide a harassment-free experience for everyone who participates in the development of Tolaria.

Harassment includes offensive comments related to gender, gender expression, sexual orientation, ability, physical appearance, body type, race, age, or religion. It also includes the posting of sexual images, deliberate intimidation, stalking, and unwelcome sexual attention.

Further, harassment includes ad-hominem attacks, grandstanding, derogatory comments, trolling, public or private community disruption, insults, or other unprofessional conduct.

Harassment is not tolerated in our issue tracker, code, events, chat channels, over emails, or any other way you can communicate with a contributor. Anyone who is asked to cease harassment is expected to comply immediately. Our team is not exempt from this policy.

If anyone engages in harassing behavior, we may take appropriate action, up to and including warning the offender, deletion of comments, removal from the project’s codebase and communication systems, and escalation to GitHub support.

If you are being harassed, notice that someone else is being harassed, or have any other concerns, please open an issue or contact a team member.

### License

This document is published from the United States. To the extent possible under law, Threespot Media has waived all copyright and related or neighboring rights to this document worldwide. The text may be re-used for any purpose and without credit.
